import os

Node('gas10ka.psi.ch',
     'gas pressure stick 10 kbar',
)

frappy_main_port = os.environ.get('FRAPPY_MAIN_PORT', 0)

Mod('itc1_',
    'frappy.core.Proxy',
    'itc1 on main frappy server',
    remote_class = 'frappy_psi.mercury.IO',
    uri = f'tcp://localhost:{frappy_main_port}',
    module='itc1',
    # export = False,
)


Mod('res_sample',
    'frappy_psi.mercury.RawSensor',
    'raw sensor',
    io='itc1_',
    slot='MB1.T1',
)

Mod('htr_sample',
    'frappy_psi.mercury.HeaterUpdate',
    'sample stick heater power',
    slot='MB0.H1,MB1.T1',
    io='itc1_',
)

Mod('T_sample',
    'frappy_psi.softcal.SoftPiLoop',
    'sample T',
    meaning=['temperature', 30],
    rawsensor='res_sample',
    output_module='htr_sample',
    p=1,
    i=0.01,
    calcurve='X161269',
    value=Param(unit='K'),
)
